<h1>Pipes <small>Angular</small></h1>
<hr>
<table>
  <thead>
    <tr>
      <!-- th es negrita -->
      <th>Variable</th>
      <th>Pipe</th>
      <th>Salida</th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>C</td>
      <td>A</td>
      <td>B</td>
    </tr>

    
<tr>
  <td>{{nombre}}</td>
  <td>uppercase</td>
  <td>{{nombre | uppercase}}</td>
</tr>


<tr>
  <td>{{nombre}}</td>
  <td>lowercase</td>
  <td>{{nombre | lowercase}}</td>
</tr>



<tr>
  <td>{{ nombre }}</td>
  <td>slice: 3 </td>
  <td>{{nombre | slice: 3}}</td>
</tr> 

<tr>
  <td>{{ array }}</td>
  <td>slice: 1:5 </td>
  <td>{{array | slice: 1:5}}</td>
</tr> 

<tr>
  <td>{{ PI }}</td>
  <td>number</td>
  <!-- <td>{{PI | number}}</td> -->
  <!-- <td>{{PI | number : '1.0-0'}}</td> -->
  <td>{{PI | number : '3.0-0'}}</td>

  <!-- 1 = ENTERO
  0-0 = COMO QUIERES LOS DECIMALES -->
</tr> 

<tr>
  <td>{{PI}}</td>
  <td>number </td>
  <td>{{PI | number:'.0-2'}}</td>
</tr>

<tr>
  <td>{{porcentaje}}</td>
  <td>percent </td>
  <td>{{porcentaje | percent}}</td>
</tr>


<tr>
  <td>{{porcentaje}}</td>
  <td>percent </td>
  <td>{{porcentaje | percent: '2.2-2'}}</td>
</tr>
<tr>
  <td>{{salario}}</td>
  <td>currency</td>
  <td>{{salario | currency}}</td>
</tr>

<tr>
  <td>{{salario}}</td>
  <td>currency</td>
  <td>{{salario | currency : 'EUR'}}</td>
</tr>

<tr>
  <td>{{valorPromesa}}</td>
  <td>async</td>
  <td>{{valorPromesa}}</td>
</tr>

<tr>
  <td>{{valorPromesa}}</td>
  <td>async</td>
  <td>{{valorPromesa | async}}</td>
</tr>

<tr>
  <td>{{fecha}}</td>
  <td>date</td>
  <td>{{fecha | date}}</td>
</tr>


<tr>
  <td>{{fecha}}</td>
  <td>date</td>
  <td>{{fecha | date: 'dd/MM/yyyy'}}</td>
</tr>

<!-- <tr>
  <td>{{nombre2}}</td>
  <td>capitalizado</td>
  <td>{{nombre2 | capitalizado }}</td>
</tr> -->

<tr>
  <td>{{nombre2}}</td>
  <td>capitalizado</td>
  <td>{{nombre2 | capitalizado:false}}</td>
</tr>

  </tbody>
</table>





<h4>Slice</h4>
<ul>
  <li *ngFor = "let item of array | slice:5 :20 "> {{item}}</li>
</ul>


<h3>JSON</h3>
<hr>
<div>
  {{heroe}}
</div>
<br>

<div>
  {{heroe |json}}
</div>
<br>

<!-- pre texto pre formateado -->
<pre>
  {{heroe |json}}
</pre>





